---
updatedAt: 2025-10-08T22:06:52.000Z
agentTools:
  projectIndex: https://docs.quable.com/llms.txt
---

# Create a new Catalog in the datamodel

Creates a Catalog resource.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Quable PIM API documentation v5",
    "description": "# Pagination, Filtering, and Sorting\nMany times, a large number of results could be returned when making API calls. For that reason, one need to paginate the results, alongside allowing filtering and/or sorting in specific order, to make sure responses are easier to handle.\n## Pagination\nWhen available, pagination can be implemented using one or both of two query parameters:\n* limit to define the number of items returned in the response, and<br />\n* page to specify the *sequence* or *range* of the items list<br /><br />\nQuable API has a default limit of 100 for results (except on /assets, /documents, /classifications, /links and /variants endpoints), and start at page 1, but it is advised to always explicitly set at least the limit parameter.\n## Filtering\nMost API endpoints do allow basic filtering on several of their properties (one filter for one property).<br /> Possibility to filter on multiple values by using square brackets on those qualified.<br /> Example : /api/endpoint?id[]=value1&documentType.id[]=value2<br /><br />\nSome of them have a generic ‘**search**‘ filter available which allow a cross-properties filtering. Those properties may change over time, without warnings, when needed.<br /><br /> Filters should always be used as **query parameters**.<br /><br />\nSome of them accept a ‘**X-Quable-Locale**‘ header in order to specify the Locale on which filters must be applied.\n## Sorting\nSorting is determined through the use of the ‘**order**’ query string parameter.<br /> It use the square brackets to specify the property on which the sort must apply, and the supported sort directions, either ‘**asc**’ for ascending or ‘**desc**’ for descending, as value.<br /> Example : /api/endpoint?order[id]=asc<br /><br />\nBy default, the sort on translated properties like ‘name‘ is make on the **default language** of the PIM.<br /> This behavior can be overridden by passing the chosen - and available - **language** in the ‘**Accept-Language**‘ header parameter of the query.",
    "version": "2d049f10adc518320a4a4ebeb07b64db5b919923"
  },
  "servers": [
    {
      "url": "https://{instance_name}.quable.com/api",
      "description": ""
    }
  ],
  "paths": {
    "/catalogs": {
      "post": {
        "operationId": "postCatalogCollection",
        "tags": [
          "Classification & Catalog"
        ],
        "responses": {
          "201": {
            "description": "Catalog resource created",
            "content": {
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/Catalog.jsonld-read"
                }
              },
              "application/hal+json": {
                "schema": {
                  "$ref": "#/components/schemas/Catalog-read"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Catalog-read"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/Catalog-read"
                }
              }
            },
            "links": {
              "GetCatalogItem": {
                "operationId": "getCatalogItem",
                "parameters": {
                  "code": "$response.body#/code"
                },
                "description": "The `code` value returned in the response can be used as the `code` parameter in `GET /catalogs/{id}`."
              }
            }
          },
          "400": {
            "description": "Invalid input"
          },
          "422": {
            "description": "Unprocessable entity"
          }
        },
        "summary": "Create a new Catalog in the datamodel",
        "description": "Creates a Catalog resource.",
        "parameters": [],
        "requestBody": {
          "description": "The new Catalog resource",
          "content": {
            "application/ld+json": {
              "schema": {
                "$ref": "#/components/schemas/Catalog.jsonld-create"
              }
            },
            "application/hal+json": {
              "schema": {
                "$ref": "#/components/schemas/Catalog-create"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Catalog-create"
              }
            },
            "text/html": {
              "schema": {
                "$ref": "#/components/schemas/Catalog-create"
              }
            }
          },
          "required": true
        },
        "deprecated": false
      },
      "parameters": []
    }
  },
  "components": {
    "schemas": {
      "Catalog-create": {
        "type": "object",
        "required": [
          "objectType",
          "id",
          "name"
        ],
        "properties": {
          "objectType": {
            "type": "string"
          },
          "description": {
            "maxLength": 4294967295,
            "type": "string",
            "nullable": true
          },
          "id": {
            "pattern": "^(.*(^[\\w\\s/|_.,&+-]+$).*)$",
            "maxLength": 255,
            "$ref": "#/components/schemas/Identifier",
            "type": "string"
          },
          "name": {
            "maxLength": 255,
            "type": "string"
          }
        }
      },
      "Catalog-read": {
        "type": "object",
        "required": [
          "objectType",
          "id",
          "name"
        ],
        "properties": {
          "objectType": {
            "type": "string"
          },
          "description": {
            "maxLength": 4294967295,
            "type": "string",
            "nullable": true
          },
          "id": {
            "pattern": "^(.*(^[\\w\\s/|_.,&+-]+$).*)$",
            "maxLength": 255,
            "$ref": "#/components/schemas/Identifier",
            "type": "string"
          },
          "name": {
            "maxLength": 255,
            "type": "string"
          },
          "dateModified": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "dateCreated": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          }
        }
      },
      "Catalog.jsonld-create": {
        "type": "object",
        "required": [
          "objectType",
          "id",
          "name"
        ],
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "objectType": {
            "type": "string"
          },
          "description": {
            "maxLength": 4294967295,
            "type": "string",
            "nullable": true
          },
          "id": {
            "pattern": "^(.*(^[\\w\\s/|_.,&+-]+$).*)$",
            "maxLength": 255,
            "$ref": "#/components/schemas/Identifier",
            "type": "string"
          },
          "name": {
            "maxLength": 255,
            "type": "string"
          }
        }
      },
      "Catalog.jsonld-read": {
        "type": "object",
        "required": [
          "objectType",
          "id",
          "name"
        ],
        "properties": {
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "objectType": {
            "type": "string"
          },
          "description": {
            "maxLength": 4294967295,
            "type": "string",
            "nullable": true
          },
          "id": {
            "pattern": "^(.*(^[\\w\\s/|_.,&+-]+$).*)$",
            "maxLength": 255,
            "$ref": "#/components/schemas/Identifier",
            "type": "string"
          },
          "name": {
            "maxLength": 255,
            "type": "string"
          },
          "dateModified": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "dateCreated": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          }
        }
      },
      "Identifier": {
        "title": "Identifier",
        "type": "string",
        "description": "This is the unique identifier of the resource",
        "pattern": "^[\\w\\s\\/|_.,&+-]+$",
        "maxLength": 255,
        "example": "identifier_example"
      }
    },
    "securitySchemes": {
      "apiKey": {
        "type": "apiKey",
        "description": "Value for the Authorization header parameter.",
        "name": "Authorization",
        "in": "header"
      }
    }
  },
  "security": [
    {
      "apiKey": []
    }
  ],
  "x-readme": {}
}
```